
:root {
    --yellow: #F3E9D2;
    --orange: #F5b301;
    --grey: #3B3F46;
    --lightgrey: #A6A6A8; /* french grey */
    --darkgrey: #262730; /* raisain black */
    --darkgrey2: #222222;
    --darkbg: #111111;
    --blue: #1f4762;
    --darkblue: #114B5F;
    --darkblue80: rgba(17, 75, 95, 0.25);
    --black: #000000;
    --white: #ffffff;
    --link: tomato;
    --linkvisited: coral;
    --default-font: system-ui, -apple-system, 'IBM Plex Mono', 'Open Sans', 'Roboto', sans-serif;


}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

body {
    font-family: var(--default-font);
}


h1 {
    font-weight: bold;
    font-size: 2rem;
}

h2 {
    font-weight: bold;
    font-size: 1.5rem;
}

h3 {
    font-weight: bold;
    font-size: 1.2rem;
}

h4 {
    font-weight: bold;
    font-size: 1remx;
}

.font-bold {
    font-weight: bold;
}

.label {
    background-color: rgba(0, 0, 0, 0.25);
    border-radius: 1em;
    padding: 0.15em 0.75em 0.15em 0.65em;
    font-size: 0.75em;
    position: absolute;
    font-family: monospace;
}

.label-neongreen {
    color: greenyellow;
}

.label-orange {
    color: var(--orange);
}

.chessfix { 
  vertical-align: 0.1em;
  font-size: 1.1em;
}

#navigation .nav {
    list-style: none;
    padding: 1rem 1rem;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    width: fit-content;
}

#navigation .nav li {
    float: left;
    margin-right: 2rem;
    font-size: 0.85rem;
    color: rgb(238, 238, 238);
    margin-right: 2rem;
    font-size: 0.85rem;
    color: rgb(238, 238, 238);
}

.nav .navlink {
    text-decoration: dashed;
    color: rgb(221, 221, 221);
    transition: 1s;
}

.nav .navlink:hover {
    color: rgb(255, 255, 255);
    transition: 1s;
}



main {
    /* valanmi */
}

.box {
    margin-right: auto;
    margin-left: auto;
    margin-top: 1rem;
    padding: 1rem;
    line-height: normal;
    
}

.box-highlight {
    background-color: rgba(255,255,255,0.5);
    box-shadow: 0px 0px 1em rgba(0,0,0,0.1);
    border-radius: 0.5rem;
    border: 1px solid rgba(255, 255, 255, 1);

}

.box-title {
    font-weight: bold;
    margin: 0em 0em 0.5rem;
    padding: 0.5rem 0rem;
    padding-top: 0;
    border-bottom: 1px dotted var(--grey);
    font-size: 0.85rem;
}

.box-body {
    font-size: 0.85rem;
    line-height: 1.7142857;
}

.content-width{
    width: 60%;
}

.darkbg {
    background-color: var(--darkbg);
    color: var(--lightgrey);
}

.darkbg #header {
    border-bottom: 1px dashed var(--grey);
    stroke-dasharray: 2px, 2px, 1px;
    background: rgba(0, 0, 0, 0.85);
    position: fixed;
    width: 100%;
    top: 0;
}

.darkbg .box {
    background: var(--darkgrey2);
    border: solid 1px rgba(255,255,255,0.05);
    box-shadow: 0px 0px 0.5rem black;
}

.yellowbg {
    background-color: var(--yellow);
    color: var(--darkblue);
}

.yellowbg #header {
    border-bottom: 1px dashed var(--grey);
    stroke-dasharray: 2px, 2px, 1px;
    background: rgba(0, 0, 0, 0.85);
    position: fixed;
    width: 100%;
    top: 0;
}

header #logo {
    text-decoration: none !important;
    color: var(--darkblue);
}


.list {
    list-style: disc;
    margin-left: 2rem;
}

#login-form {
    padding-top: 2rem;
}



strong {
    font-weight: bold;
}

table, th, td {
    /*border: 1px solid var(--darkgrey); */
    border-collapse: collapse;
    border-spacing: 1;
    padding: 2px;
}

.flex {
    flex-direction: column;

}

.width-30p {
    width: 30%;
    min-width: 480px;
}

.width-40p {
    width: 40%;
    min-width: 480px;
}

.width-50p {
    width: 50%;
    min-width: 580px;
}

#profilepic {
    width: 8em;
    border-radius: 1em;
    border: 3px solid white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
    rotate: -1deg;
}

table {
    border: none;
    width: 100%;
}


a {
    color: var(--darkgrey);
    text-decoration: underline;
}

a:visited {
    color: var(--lightgrey);
}

li {
    font-size: .85rem;
}

.float-right {
    float: right;
}

.text-muted {
    color: var(--darkblue80);
}

.text-monospace {
    font-family: monospace, monospace;
    font-size: 0.8rem;
}

.text-italic {
    font-style: italic;
}

.mt-1 {
    margin-top: 1em;
}

.mr-1 {
    margin-right: 1em;
}

.ml-1 {
    margin-left: 1em;
}

.mb-1 {
    margin-bottom: 1em;
}

.image {
    border-radius: 0.5em;
    box-shadow: 0px 0px 1em rgba(0,0,0,0.2);
}

.image-footnote {
    font-size: 0.75em;
    color: var(--lightgrey);
    text-align: center;
}

.bookcover {
width: 12em;
float: right;
margin: 1em 2em;
border: 1em solid #fff;
border-radius: 4px;
}

.code {
    background-color: rgba(0,0,0,0.1);
    font-family: monospace;
    padding: 0.2em 0.2em;
    font-size: 0.85em;
    border-radius: 0.2em;
    overflow-block: scroll;
}



.todo {
    color: purple;
}

/* progressbar */
.meter { 
    height: 0.5em;  /* Can be anything */
    position: relative;
    background: #555;
    border-radius: 1em;
    padding: 2px;
    box-shadow: inset 0 -1px 1px rgba(255, 255, 255, 0.3);
  }

.meter > span {
    display: block;
    height: 100%;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    background-color: #B1E5F2;
    background-image: linear-gradient(
      center bottom,
      #B1E5F2 37%,
      #B1E5F2 69%
    );
    box-shadow: 
      inset 0 2px 9px  rgba(255,255,255,0.3),
      inset 0 -2px 6px rgba(0,0,0,0.4);
    position: relative;
    overflow: hidden;
  }



/*mobilnezet*/
@media screen and (max-width: 600px) {
    .width-40p {
        width: calc(100% - 2em);
        min-width: 10em;
    }

    main {
        
    }
}

.blink {
    animation: blink 1s linear infinite;
}

@keyframes blink {
    0% {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
  }

